@import "../../../../assets/scss/themes";
@import "../../../../assets/scss/mixins";

@function get-color($key) {
	@return map-fetch($editionColors, namedEntities $key);
}
@mixin namedEntityRefColors($color-base, $color-middle, $color-darker) {
	/* &.location-mainText, &.location-pinned {*/ 
		background: $color-base;
	/*}*/
	border-bottom-color: $color-middle;

	&.active {
		background-color: $color-middle;
		border-right-color: $color-middle;
		
		&:not(:first-child) {
			border-left-color: $color-middle;
		}
	}
	&:hover {
		background-color: $color-middle;
	}
}

.namedEntityRef {
	cursor: pointer;
	&.active {
		border-bottom: 3px solid;
	}
	&.persName {
		@include namedEntityRefColors(get-color(personBase), get-color(personMiddle), get-color(personDarker));
	}
	&.placeName {
		@include namedEntityRefColors(get-color(placeBase), get-color(placeMiddle), get-color(placeDarker));
	}
}
